Package csb :: Package bio :: Package io :: Module cs :: Class ChemShift3Reader

[frames] | no frames]

# Class ChemShift3Reader

source code

         object --+
                  |
    ChemShiftReader --+
                      |
                     ChemShift3Reader

Simple NMR STAR v3 chemical shift reader.

Note: This is not a full-fledged, semantic NMR STAR parser. It handles only the chemical shift table.

Instance Methods
Inherited from `ChemShiftReader`: `__init__`, `read_file`, `read_shifts` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `ChemShiftReader`: `create`, `guess`

Class Variables
| ATOM3 = ``'``_Atom_chem_shift.Atom_ID``'``
| ELEMENT3 = ``'``_Atom_chem_shift.Atom_type``'``
| RANK3 = ``'``_Atom_chem_shift.Seq_ID``'``
| RESIDUE3 = ``'``_Atom_chem_shift.Comp_ID``'``
| SHIFT3 = ``'``_Atom_chem_shift.Val``'``
Inherited from `ChemShiftReader`: `ATOM`, `ELEMENT`, `FRAME`, `RANK`, `RESIDUE`, `SHIFT`

Properties
Inherited from `object`: `__class__`